import Vue from 'vue'
import Cookies from 'js-cookie'
import router from './router'
import store from './store'
import request from '@/utils/request'
import {getToken, setToken} from '@/utils/auth'
import { wxAuth } from "@/utils/wx-auth-two.js";
router.beforeEach((to, from, next) => {
  if (Vue.$httpRequestList.length > 0) { //强行中断时才向下执行
    Vue.$httpRequestList.forEach(item => {
      item('interrupt'); //给个标志，中断请求
    })
  }
  //首页按返回到登录 或 初始化时--直接退出
  if(from.path == '/home' && ( to.path == '/login'  || to.path == '/init' || to.path == '/') || from.path == '/noAccess'){
    wx.closeWindow();//关闭当前网页窗口
    return false
  }
  window.document.title =window.$routes_map[to.name]? window.$routes_map[to.name].label:'管理中心'
  if (getToken()) {
    // 初始一些数据
    init();
    wxAuth('',next)
  } else {
    if (!window.$routes_map[to.name].need_login) { // 在免登录白名单，直接进入
      wxAuth('',next)
    } else {
      next('/login')
    }
  }
})
function init() {
  store.dispatch('get_user_info').then((res) => { //获取用户信息
    if (store.getters.user_info.try_user == 1) { //判断是否试用账号
      store.dispatch("setBuyPopup",true);
    }else{
       store.dispatch("setBuyPopup",false);
    }
  });
  store.dispatch('get_point_types').then(res => {}); //获取积分类型
  // 数据更新，每两分钟更新一次
  store.dispatch('get_employee_map').then((res) => {}); //获取人员列表
}

